<!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title><?php bloginfo('name'); ?></title>
</head>
<body>
<script>
// Тут нужно указать свой логин (email) и пароль
const login = 'your@email.com';
const password = 'Admin';

function auth() {
    // Формируем объект из логина и пароля пользователя
    let data = { login, password };

    // Адрес к энд-поинту авторизации
    let pathToAPI = window.location.href + 'wp-json/api/auth';

    // Запрос
    fetch(pathToAPI, {
        method: 'POST',
        body: JSON.stringify(data),
        headers: {
            'content-type': 'application/json'
        }
        }).then((response) => {
            return response.json();
        }).then((data) => {
            console.log('Получаем ID: ');
            console.log(data);

            // Запишем id и вызовем новую функцию (типа callback)
            window.id = data.id;
            getPosts();
        })
}

function getPosts() {
    // Формируем объект из id, типа постов и их количества
    let data = {
        id: id,
        type: 'post',
        counts: '10'
    };

    // Адрес к энд-поинту авторизации
    let pathToAPI = window.location.href + 'wp-json/api/posts';

    // Запрос
    fetch(pathToAPI, {
        method: 'POST',
        body: JSON.stringify(data),
        headers: {
            'content-type': 'application/json'
        }
        }).then((response) => {
            return response.json();
        }).then((data) => {
            console.log('Массив постов:');
            console.log(data);
        })
}

window.onload = () => {
    auth();
}
</script>
</body>
</html>